<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="7ddebbf1-ad50-4609-9610-78ac4f22ba9a" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/xsea/views/main/CategoryList/Common/SegueIdentifier.swift" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea.xcodeproj/project.pbxproj" beforeDir="false" afterPath="$PROJECT_DIR$/xsea.xcodeproj/project.pbxproj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea.xcworkspace/xcuserdata/phamanhtuan.xcuserdatad/UserInterfaceState.xcuserstate" beforeDir="false" afterPath="$PROJECT_DIR$/xsea.xcworkspace/xcuserdata/phamanhtuan.xcuserdatad/UserInterfaceState.xcuserstate" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/Animations/loader.json" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/Animations/loader.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/Animations/loadingtext.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/views/AnimationCustoms/Loader/LoaderSettings.swift" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/views/AnimationCustoms/Loader/LoaderSettings.swift" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/views/main/CategoryList/CategoryCell/CategoryCell.swift" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/views/main/CategoryList/CategoryCell/CategoryCell.swift" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/views/main/CategoryList/CategoryListViewController.swift" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/views/main/CategoryList/CategoryListViewController.swift" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/views/main/createSeaFood/CreateSeaFoodController.swift" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/views/main/createSeaFood/CreateSeaFoodController.swift" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/views/main/postSeaFood/PostSeaFoodCell.swift" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/views/main/postSeaFood/PostSeaFoodCell.swift" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/views/main/postSeaFood/PostSeaFoodController.swift" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/views/main/postSeaFood/PostSeaFoodController.swift" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/xsea/views/main/profile/menuBar/UserFoodMenuBar.swift" beforeDir="false" afterPath="$PROJECT_DIR$/xsea/views/main/profile/menuBar/UserFoodMenuBar.swift" afterDir="false" />
    </list>
    <ignored path="$USER_HOME$/Library/Caches/AppCode2019.1/DerivedData/xsea-etuucppxahblrcanjscoochhertq/Build/Intermediates.noindex/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="iphonesimulator_9F1B696F-6B48-4517-932A-ED2BACD31ABA" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/xsea/app/module/DevModule.swift">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret line="22" selection-start-line="22" selection-end-line="22" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/xsea/app/AppDelegate.swift">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="300">
              <caret line="20" column="8" selection-start-line="20" selection-start-column="8" selection-end-line="20" selection-end-column="8" />
              <folding>
                <element signature="e#139#151#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/xsea/views/main/CategoryList/Common/SegueIdentifier.swift">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="9" selection-start-line="9" selection-end-line="9" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/xsea/views/main/createSeaFood/CreateSeaFoodController.swift">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3313">
              <caret line="313" column="19" selection-start-line="313" selection-start-column="19" selection-end-line="313" selection-end-column="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/xsea/views/main/postSeaFood/CustomPhotoPagerCell.swift">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="9" column="18" selection-start-line="9" selection-start-column="18" selection-end-line="9" selection-end-column="18" />
              <folding>
                <element signature="e#148#160#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>print</find>
    </findStrings>
    <dirStrings>
      <dir>$PROJECT_DIR$</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/xsea/di/Injector.swift" />
        <option value="$PROJECT_DIR$/xsea/views/main/CategoryList/Common/SegueIdentifier.swift" />
        <option value="$PROJECT_DIR$/xsea/views/main/postSeaFood/PostSeaFoodCell.swift" />
        <option value="$PROJECT_DIR$/xsea/views/main/profile/menuBar/UserFoodMenuBar.swift" />
        <option value="$PROJECT_DIR$/xsea/views/main/postSeaFood/PostSeaFoodController.swift" />
        <option value="$PROJECT_DIR$/xsea/views/main/createSeaFood/CreateSeaFoodController.swift" />
        <option value="$PROJECT_DIR$/xsea/views/main/postSeaFood/CustomPhotoPagerCell.swift" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="x" value="308" />
    <option name="y" value="23" />
    <option name="width" value="1132" />
    <option name="height" value="842" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="xsea" type="1d218c8b:XcodeProjectNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="xsea" type="1d218c8b:XcodeProjectNode" />
              <item name="xsea" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="xsea" type="1d218c8b:XcodeProjectNode" />
              <item name="xsea" type="fcab9f18:XcodeViewNode" />
              <item name="app" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="xsea" type="1d218c8b:XcodeProjectNode" />
              <item name="xsea" type="fcab9f18:XcodeViewNode" />
              <item name="views" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="xsea" type="1d218c8b:XcodeProjectNode" />
              <item name="xsea" type="fcab9f18:XcodeViewNode" />
              <item name="views" type="fcab9f18:XcodeViewNode" />
              <item name="main" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="xsea" type="1d218c8b:XcodeProjectNode" />
              <item name="xsea" type="fcab9f18:XcodeViewNode" />
              <item name="views" type="fcab9f18:XcodeViewNode" />
              <item name="main" type="fcab9f18:XcodeViewNode" />
              <item name="CategoryList" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="xsea" type="1d218c8b:XcodeProjectNode" />
              <item name="xsea" type="fcab9f18:XcodeViewNode" />
              <item name="views" type="fcab9f18:XcodeViewNode" />
              <item name="main" type="fcab9f18:XcodeViewNode" />
              <item name="CategoryList" type="fcab9f18:XcodeViewNode" />
              <item name="Common" type="fcab9f18:XcodeViewNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Cidr.FilesView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.IDE.editor.colors.Color Scheme Font" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="xsea" type="AppleRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="xsea" TARGET_NAME="xsea" CONFIG_NAME="Debug" SCHEME_NAME="xsea" IS_LOCATION_SIMULATION_ALLOWED="true" APPLICATION_LANGUAGE="IDELaunchSchemeLanguageUseSystemLanguage" APPLICATION_REGION="" RUN_TARGET_PROJECT_NAME="xsea" RUN_TARGET_NAME="xsea" MAKE_ACTIVE="TRUE" SHOULD_DEBUG_EXTENSIONS="false">
      <EXTENSION ID="org.jetbrains.appcode.reveal.RevealRunConfigurationExtension">
        <REVEAL_SETTINGS autoInject="false" autoInstall="true" askToEnableAutoInstall="true" />
      </EXTENSION>
      <embedded_app_extension_list />
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7ddebbf1-ad50-4609-9610-78ac4f22ba9a" name="Default Changelist" comment="" />
      <created>1566381580234</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1566381580234</updated>
      <workItem from="1566381581886" duration="1516000" />
      <workItem from="1567241021559" duration="770000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="2286000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="0" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2539342" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.96385545" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/xsea/di/Injector.swift</url>
          <line>43</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/xsea/ViewController.swift" />
    <entry file="file://$PROJECT_DIR$/xsea/app/module/DevModule.swift">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret line="22" selection-start-line="22" selection-end-line="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/xsea/di/Injectors.swift">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="21" selection-start-line="21" selection-end-line="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/xsea/di/Injector.swift">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="44" column="8" selection-start-line="44" selection-start-column="8" selection-end-line="44" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/xsea/app/AppDelegate.swift">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="20" column="8" selection-start-line="20" selection-start-column="8" selection-end-line="20" selection-end-column="8" />
          <folding>
            <element signature="e#139#151#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/xsea/views/main/CategoryList/Common/SegueIdentifier.swift">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/xsea/views/main/createSeaFood/CreateSeaFoodController.swift">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3313">
          <caret line="313" column="19" selection-start-line="313" selection-start-column="19" selection-end-line="313" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/xsea/views/main/postSeaFood/CustomPhotoPagerCell.swift">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="18" selection-start-line="9" selection-start-column="18" selection-end-line="9" selection-end-column="18" />
          <folding>
            <element signature="e#148#160#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>